<?php 

include('header.php');
require('model/UserTypes.php');
require('model/AddUser.php');

try {
    // Create an instance of UserTypes
    $userTypes = new UserTypes($pdo);

    // Get all user types
    $userTypesList = $userTypes->getAllUserTypes();


} catch (Exception $e) {
    exit('Error to get user types');
}

$msg_alert = "";

if (isset($_POST['createNewUser'])) {
    $name = $_POST['user_name'];
    $email = $_POST['email_address'];
    $password = $_POST['password'];
    $type = $_POST['inputUserTypes'];

    $addUser = new AddUser($pdo);
    if ($addUser->createUser($name, $email, $password, $type)) {
        $msg_alert = '<div class="alert alert-success" role="alert"><strong>Success - </strong> User created successfully!</div>';
        echo "<script> setTimeout(function() { window.location.href = 'add-user'; }, 3000); </script>"; // Redirects after 2 seconds
    } else {
        $msg_alert = '<div class="alert alert-danger" role="alert"><strong>Error - </strong> Error creating user.</div>';
    }
}


?>

<!-- [ Main Content ] start -->
<section class="pcoded-main-container">
    <div class="pcoded-content">
        <!-- [ breadcrumb ] start -->
        <div class="page-header">
            <div class="page-block">
                <div class="row align-items-center">
                    <div class="col-md-12">
                        <div class="page-header-title">
                            <h5 class="m-b-10">Location</h5>
                        </div>
                        <ul class="breadcrumb">
                            <li class="breadcrumb-item"><a href="index"><i class="feather icon-home"></i></a></li>
                            <li class="breadcrumb-item"><a href="#!">User Management</a></li>
                            <li class="breadcrumb-item"><a href="add-user">Create User</a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <!-- [ breadcrumb ] end -->
        <!-- [ Main Content ] start -->
        <div class="row">
            <!-- [ form-element ] start -->
            <div class="col-sm-12">
                <form method="post">
                <div class="card">
                    <div class="card-header">
                        <h5>Create New User</h5>
                    </div>
                    <div class="card-body">
                    <?php if($msg_alert != ""){
                        echo $msg_alert;
                    } ?>
                        <hr>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group mb-3">
                                    <label class="form-label">User Name</label>
                                    <input type="text" class="form-control" name="user_name" required placeholder="Enter user name">
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group mb-3">
                                    <label class="form-label">Email Address</label>
                                    <input type="email" class="form-control" name="email_address" required placeholder="Enter email address">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group mb-3">
                                    <label class="form-label">Password</label>
                                    <input type="text" class="form-control" name="password" required placeholder="Enter password">
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group mb-3">
                                    <label class="form-label">User Types</label>
                                    <select id="inputUserTypes" name="inputUserTypes" class="form-control">
                                        <option selected="">Select user type</option>
                                        <?php
                                        
                                        foreach($userTypesList as $userType){
                                            echo '<option value='. $userType['name'] .'>'. $userType['value'] .'</option>';
                                        }
                                        
                                        ?>
                                        
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card-footer text-right">
                        <button type="submit" class="btn btn-primary" name="createNewUser">Create New User</button>
                    </div>
                </div>
                </form>
            </div>
            <!-- [ form-element ] end -->
        </div>
        <!-- [ Main Content ] end -->

    </div>
</section>
<!-- [ Main Content ] end -->

<?php include('footer.php'); ?>
