<?php  
 

    include('header.php'); 
    require('../superadmin/model/Products.php');

    $products = new Products($pdo);

    $msg_alert = "";

     $allProducts = $products->fetchAllProducts();
     
        if ($_SERVER['REQUEST_METHOD'] === 'POST') {
            if (isset($_POST['delete_product'])) {
                $product_id = $_POST['product_id'];
                error_log("Attempting to delete product with ID: $product_id");
                $delete = $products->deleteProduct($product_id);
                if ($delete) {
                    $msg_alert = '<div class="alert alert-success" role="alert"><strong>Success - </strong> Product deleted successfully!</div>';
                    echo "<script> setTimeout(function() { window.location.href = 'manage-products'; }, 3000); </script>";
                } else {
                    $msg_alert = '<div class="alert alert-danger" role="alert"><strong>Error - </strong> Error deleting Product. It may be referenced in other records.</div>';
                }
            }
        }


    
 
    // Edit Product 
    if (isset($_POST['editProduct'])) {
        // Retrieve form values
        $id = $_POST['product_id'] ?? '';
        $product_name = $_POST['product_name'] ?? '';
        $product_description = $_POST['product_description'] ?? '';
        $product_dimensions = $_POST['product_dimensions'] ?? '';
        $product_price = $_POST['product_price'] ?? '';
        $item_code = $_POST['item_code'] ?? '';
        $motorcycle = $_POST['motorcycle'] ?? '';
        $spear_parts = $_POST['spear_parts'] ?? '';
        $access = $_POST['access'] ?? '';
        $others = $_POST['others'] ?? '';
        $model_no = $_POST['model_no'] ?? '';
        $serial_no = $_POST['serial_no'] ?? '';
        $chassis_no = $_POST['chassis_no'] ?? '';
        $technical_specification = $_POST['technical_specification'] ?? '';
        $warranty = $_POST['warranty'] ?? '';
        $current_image_name = $_POST['current_image_name'] ?? '';
        $product_image_name = $current_image_name; // Default to current image
    
        // Handle image upload
        if (isset($_FILES['product_image']) && $_FILES['product_image']['error'] == 0) {
            $upload_dir = 'products/';
            $upload_file = $upload_dir . basename($_FILES['product_image']['name']);
    
            // Move the uploaded file to the designated directory
            if (move_uploaded_file($_FILES['product_image']['tmp_name'], $upload_file)) {
                $product_image_name = basename($_FILES['product_image']['name']);
            } else {
                $msg_alert = '<div class="alert alert-danger" role="alert"><strong>Error - </strong>Failed to upload image.</div>';
                echo $msg_alert; // Show the error message
                return; // Exit if file upload failed
            }
        }
    
        // Update product details in the database
        if ($products->updateProduct(
            $id, 
            $product_name, 
            $product_image_name, 
            $product_description, 
            $product_dimensions, 
            $product_price,
            $item_code,
            $motorcycle,
            $spear_parts,
            $access,
            $others,
            $model_no,
            $serial_no,
            $chassis_no,
            $technical_specification,
            $warranty
        )) {
            $msg_alert = '<div class="alert alert-success" role="alert"><strong>Success - </strong> Product updated successfully!</div>';
            echo "<script> setTimeout(function() { window.location.href = 'manage-products'; }, 1000); </script>";
        } else {
            $msg_alert = '<div class="alert alert-danger" role="alert"><strong>Error - </strong> Error updating Product.</div>';
        }
    
        echo $msg_alert; // Show the alert message
    } 
    // Edit Product



?>

<!-- [ Main Content ] start -->
 
<section class="pcoded-main-container">
    <div class="pcoded-content">
        <!-- [ breadcrumb ] start -->
        <div class="page-header">
            <div class="page-block">
                <div class="row align-items-center">
                    <div class="col-md-12">
                        <div class="page-header-title">
                            <h5 class="m-b-10">Location</h5>
                        </div>
                        <ul class="breadcrumb">
                            <li class="breadcrumb-item"><a href="index"><i class="feather icon-home"></i></a></li>
                            <li class="breadcrumb-item"><a href="#!">Jobs</a></li>
                            <li class="breadcrumb-item"><a href="manage-products">Manage Products</a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <!-- [ breadcrumb ] end -->
        <!-- [ Main Content ] start -->
        <div class="row">
            <!-- [ card-elements ] start -->
            <?php if ($allProducts): ?>
                <?php foreach ($allProducts as $product): ?>
                    <div class="col-sm-4">
                        <div class="card mb-4">
                            <?php if (!empty($product['product_image'])): ?>
                                <img class="card-img-top img-fluid" 
                                     src="../superadmin/products/<?php echo htmlspecialchars($product['product_image']); ?>" 
                                     alt="Product Image" 
                                     style="height: 200px; object-fit: cover;">
                            <?php else: ?>
                                <img class="card-img-top img-fluid" 
                                     src="path/to/default-image.jpg" 
                                     alt="Default Image" 
                                     style="height: 200px; object-fit: cover;">
                            <?php endif; ?>
                            <div class="card-body">
                                <h5 class="card-title"><?php echo htmlspecialchars($product['product_name']); ?></h5>
                                <p class="card-text"><?php echo nl2br(htmlspecialchars($product['product_description'])); ?></p>
                                <p class="card-text"><strong>Price: ₹ <?php echo htmlspecialchars($product['product_price']); ?></strong></p>
                                <!--<div class="form-group" style="margin-top:6px;">-->
                                <!--    <label style="display:flex;">Quantity:</label>-->
                                <!--    <div class="d-flex">-->
                                <!--        <button type="button" class="btn btn-link px-2" onclick="this.parentNode.querySelector('input[type=number]').stepDown()">-->
                                <!--            <i class="fas fa-minus"></i>-->
                                <!--        </button>-->
                                <!--        <input min="1" name="quantity" value="1" type="number" class="form-control form-control-sm" style="width:50px;">-->
                                <!--        <button type="button" class="btn btn-link px-2" onclick="this.parentNode.querySelector('input[type=number]').stepUp()">-->
                                <!--            <i class="fas fa-plus"></i>-->
                                <!--        </button>-->
                                <!--    </div>-->
                                <!--</div>-->
                                <input type="hidden" name="product_id" value="<?php echo htmlspecialchars($product['product_id']); ?>">
                                <a href="place-new-order.php" class="btn btn-primary"   style="width:100%;background:black;border:none;">Place New Order</a>
                            </div>
                        </div>
                    </div>
                <?php endforeach; ?>
            <?php else: ?>
                <div class="col-sm-12">
                    <div class="alert alert-info" role="alert">
                        No products found.
                    </div>
                </div>
            <?php endif; ?>
            <!-- [ card-elements ] end -->
        </div>
        <!-- [ Main Content ] end -->
    </div>
</section>




<!-- [ Main Content ] end -->

  
<?php include('footer.php'); ?>
