<?php
session_start();
include('header.php');
require('../superadmin/model/Orders.php');

$orders = new Orders($pdo);
$msg_alert = '';

if (isset($_POST['placeOrder'])) {
    $user_id = 1; // Replace with actual user ID
    $total = 0;

    foreach ($_SESSION['cart'] as $item) {
        $total += $item['product_price'] * $item['quantity'];
    }

    $order_id = $orders->createOrder($user_id, $total, $_SESSION['cart']);
    if ($order_id) {
        $msg_alert = '<div class="alert alert-success" role="alert"><strong>Success - </strong>Order placed successfully!</div>';
        $_SESSION['cart'] = []; // Clear the cart
    } else {
        $msg_alert = '<div class="alert alert-danger" role="alert"><strong>Error - </strong>Failed to place order.</div>';
    }
}
?>

<!-- [ Main Content ] start -->
<section class="pcoded-main-container">
    <div class="pcoded-content">
        <div class="row">
            <div class="col-sm-12">
                <form method="post">
                    <div class="card">
                        <div class="card-header">
                            <h3>Checkout</h3>
                        </div>
                        <div class="card-body">
                            <?php if($msg_alert != ""): ?>
                                <?php echo $msg_alert; ?>
                            <?php endif; ?>
                            <hr>
                            <div class="row">
                                <div class="table-responsive">
                                    <table class="table table-striped table-hover table-sm">
                                        <thead class="text-center">
                                            <tr>
                                                <th>Product Name</th>
                                                <th>Quantity</th>
                                                <th>Price</th>
                                                <th>Total</th>
                                            </tr>
                                        </thead>
                                        <tbody class="text-center">
                                            <?php if (!empty($_SESSION['cart'])): ?>
                                                <?php foreach ($_SESSION['cart'] as $item): ?>
                                                    <tr>
                                                        <td><?php echo htmlspecialchars($item['product_name']); ?></td>
                                                        <td><?php echo htmlspecialchars($item['quantity']); ?></td>
                                                        <td><?php echo htmlspecialchars($item['product_price']); ?></td>
                                                        <td><?php echo htmlspecialchars($item['product_price'] * $item['quantity']); ?></td>
                                                    </tr>
                                                <?php endforeach; ?>
                                            <?php else: ?>
                                                <tr>
                                                    <td class="text-center" colspan="4">Your cart is empty.</td>
                                                </tr>
                                            <?php endif; ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <div class="card-footer text-right">
                            <?php if (!empty($_SESSION['cart'])): ?>
                                <button type="submit" name="placeOrder" class="btn btn-success rounded-pill">Place Order</button>
                            <?php endif; ?>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</section>
<!-- [ Main Content ] end -->

<?php include('footer.php'); ?>
