<?php

class Orders {
    private $pdo;

    public function __construct($pdo) {
        $this->pdo = $pdo;
    }

    public function fetchPlacedOrdersWithDetails($user_id) {
    $stmt = $this->pdo->prepare("
        SELECT 
            orders.id AS id,
            orders.created_at,
            orders.total_amount,
            orders.status,  -- Include the status column
            dealers_accounts.username AS username,
            products.product_name AS product_name,
            products.product_image AS product_image,
            order_items.quantity
        FROM 
            orders
        JOIN dealers_accounts ON orders.user_id = dealers_accounts.dealer_id
        JOIN order_items ON orders.id = order_items.order_id
        JOIN products ON order_items.product_id = products.product_id
        WHERE 
            orders.user_id = :user_id 
    ");
    $stmt->execute([':user_id' => $user_id]);
    return $stmt->fetchAll(PDO::FETCH_ASSOC);
}


}
?>
