<?php
session_start(); // Start the session
include('header.php');
require('model/Orders.php');

if (isset($_SESSION['dealer_id'])) {
    $user_id = $_SESSION['dealer_id'];
} else {
    // Redirect to login page if not logged in
    echo "<script>  window.location.href = 'signin.php';</script>";
    exit();
}

$orders = new Orders($pdo);
$placedOrdersWithDetails = $orders->fetchPlacedOrdersWithDetails($user_id);
?>

<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

<section class="pcoded-main-container">
    <div class="pcoded-content">
        <div class="page-header">
            <div class="page-block">
                <div class="row align-items-center">
                    <div class="col-md-12"> 
                        <div class="page-header-title">
                            <h5 class="m-b-10">Placed Orders</h5>
                        </div>
                        <ul class="breadcrumb">
                            <li class="breadcrumb-item"><a href="index"><i class="feather icon-home"></i></a></li>
                            <li class="breadcrumb-item"><a href="#!">Placed Orders</a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>

        <div class="page-header">
            <div class="page-block">
                <div class="row align-items-center">
                    <div class="col-md-12"> 
                        <div class="page-header-title">
                            <h1 class="m-b-10">Placed Orders</h1>
                        </div>
                        <div class="row">
                            <div class="col-md-12">         
                                <div class="table-responsive">
                                    <table class="table table-bordered">
                                        <thead>
                                            <tr>
                                                <th>Order ID</th>
                                                <th>User Name</th>
                                                <th>Order Date</th>
                                                <th>Product Name</th>
                                                <th>Product Image</th>
                                                <th>Quantity</th>
                                                <th>Total Amount</th>
                                                <th>Status</th> <!-- New column for status -->
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php
                                            if (empty($placedOrdersWithDetails)) {
                                                echo '<tr><td colspan="8">No placed orders found.</td></tr>';
                                            } else {
                                                foreach ($placedOrdersWithDetails as $order) {
                                                    echo '<tr>';
                                                    echo '<td>' . htmlspecialchars($order['id']) . '</td>';
                                                    echo '<td>' . htmlspecialchars($order['username']) . '</td>';
                                                    echo '<td>' . htmlspecialchars($order['created_at']) . '</td>';
                                                    echo '<td>' . htmlspecialchars($order['product_name']) . '</td>';
                                                    echo '<td><img src="../superadmin/products/'. htmlspecialchars($order['product_image']) . '" alt="Product Image" width="50"></td>';
                                                    echo '<td>' . htmlspecialchars($order['quantity']) . '</td>';
                                                    echo '<td>' . htmlspecialchars($order['total_amount']) . '</td>';
                                                    echo '<td > <span class=" text-dark p-2 border-rounded">'.htmlspecialchars($order['status']). '</span> </td>'; // Display the status
                                                    echo '</tr>';
                                                }
                                            }
                                            ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>         
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<?php include('footer.php'); ?>
