document.addEventListener('DOMContentLoaded', function() {
    const placeOrderButton = document.querySelector('.placeOrder');

    if (placeOrderButton) {
        placeOrderButton.addEventListener('click', function() {
            let cartItems = [];
            const rows = document.querySelectorAll('.row mb-4');

            rows.forEach(function(row) {
                const decrementBtn = row.querySelector('.decrement-btn');
                const quantityInput = row.querySelector('.quantity-input');

                if (decrementBtn && quantityInput) {
                    let productId = decrementBtn.getAttribute('data-product-id');
                    let quantity = quantityInput.value;

                    if (productId && quantity) {
                        cartItems.push({
                            product_id: productId,
                            quantity: quantity
                        });
                    }
                }
            });

            if (cartItems.length > 0) {
                // Send AJAX request to place the order
                let xhr = new XMLHttpRequest();
                xhr.open('POST', 'place_order.php', true);
                xhr.setRequestHeader('Content-Type', 'application/json;charset=UTF-8');
                xhr.onreadystatechange = function () {
                    if (xhr.readyState === 4 && xhr.status === 200) {
                        let response = JSON.parse(xhr.responseText);
                        if (response.success) {
                            alert('Order placed successfully!');
                            location.reload(); // Refresh the page to update the cart
                        } else {
                            alert('Failed to place order: ' + response.message);
                        }
                    }
                };
                xhr.send(JSON.stringify({cartItems: cartItems}));
            } else {
                alert('No items in cart or failed to gather cart items.');
            }
        });
    } else {
        console.error('Place Order button not found');
    }
});
