<?php
session_start();
include('config.php');

if (isset($_POST['product_id']) && isset($_POST['action'])) {
    $product_id = $_POST['product_id'];
    $action = $_POST['action'];
    $user_id = $_SESSION['dealer_id']; // Get user_id from session

    // Fetch current quantity
    $stmt = $pdo->prepare("SELECT quantity, product_price FROM cart_details JOIN products ON cart_details.product_id = products.product_id WHERE user_id = :user_id AND cart_details.product_id = :product_id");
    $stmt->execute([':user_id' => $user_id, ':product_id' => $product_id]);
    $item = $stmt->fetch();

    if ($item) {
        $quantity = $item['quantity'];
        $price = $item['product_price'];

        if ($action == 'increment') {
            $quantity++;
        } elseif ($action == 'decrement') {
            $quantity--;
        }

        if ($quantity > 0) {
            // Update quantity in database
            $stmt = $pdo->prepare("UPDATE cart_details SET quantity = :quantity WHERE user_id = :user_id AND product_id = :product_id");
            $stmt->execute([':quantity' => $quantity, ':user_id' => $user_id, ':product_id' => $product_id]);
        } else {
            // Remove item from cart if quantity is 0
            $stmt = $pdo->prepare("DELETE FROM cart_details WHERE user_id = :user_id AND product_id = :product_id");
            $stmt->execute([':user_id' => $user_id, ':product_id' => $product_id]);
        }

        // Calculate new total price for this item
        $newItemTotalPrice = $price * $quantity;

        // Calculate new total amount for the cart
        $stmt = $pdo->prepare("SELECT SUM(products.product_price * cart_details.quantity) AS total FROM cart_details JOIN products ON cart_details.product_id = products.product_id WHERE user_id = :user_id");
        $stmt->execute([':user_id' => $user_id]);
        $total = $stmt->fetchColumn();

        echo json_encode([
            'status' => 'success',
            'newQuantity' => $quantity,
            'newItemTotalPrice' => $newItemTotalPrice,
            'newTotalAmount' => $total
        ]);
    } else {
        echo json_encode(['status' => 'error']);
    }
}
?>
